> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cairhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Real Time Coordination of Benefits Check

> Provides coordination of benefits (COB) information for a patient, including primary and secondary insurance details.

<Warning>
  The following endpoint requires provider enrollment through our platform. Refer to the platform help guides or contact Cair Support with any questions.
</Warning>

Use this endpoint to search for health benefit coverage information in the case that a patient has more than one insurance plan. This check can also be performed
as part of an eligibility check automatically by setting the `runCobCheck` flag to `true`.

#### Possible COB codes

| Code                                   | Description                                                                                     |
| -------------------------------------- | ----------------------------------------------------------------------------------------------- |
| `MemberFoundNoCOB`                     | No coordination of benefits found for this member                                               |
| `CoverageOverlapNoBenefitOverlap`      | Multiple coverages found but no overlap in benefits                                             |
| `CoverageOverlapExistsNotSubjectToCob` | Coverage overlap exists but is not subject to COB                                               |
| `CobInstanceExistsPrimacyUndetermined` | COB exists but primary/secondary status is undetermined. Likely requires a phone call to verify |
| `CobInstanceExistsPrimacyDetermined`   | COB exists with determined primacy for payer                                                    |


## OpenAPI

````yaml POST /api/eligibility/cob/v1
openapi: 3.1.0
info:
  title: Cair Health APIs
  description: APIs for the Cair Health platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://forecaster.cairhealth.com
security:
  - bearerAuth: []
paths:
  /api/eligibility/cob/v1:
    post:
      description: >-
        Provides coordination of benefits (COB) information for a patient,
        including primary and secondary insurance details.
      requestBody:
        description: Patient and coverage information for COB check
        content:
          application/json:
            schema:
              type: object
              properties:
                patientFirstName:
                  type: string
                  description: Patient first name
                patientLastName:
                  type: string
                  description: Patient last name
                patientDOB:
                  type: string
                  description: Patient Date of Birth, formatted as MM-DD-YYYY
                  optional: true
                patientMemberId:
                  type: string
                  description: >-
                    Member ID of patient's insurance policy. For a successful
                    check, you MUST provide either the member ID or the SSN.
                  optional: true
                patientSSN:
                  type: string
                  description: >-
                    Patient's Social Security Number. For a successful check,
                    you MUST provide either the member ID or the SSN.
                  optional: true
                dateOfCoverage:
                  type: string
                  description: >-
                    Date to request coverage information. Formatted as
                    MM-DD-YYYY
                payerId:
                  type: string
                  description: >-
                    Payer ID. Can be found under the enrollments page in the
                    platform, or the [Fetch Enrollments](../fetch-enrollments)
                    API
                providerId:
                  type: string
                  description: >-
                    Provider ID. Can be found by copying the enrollment ID in
                    the enrollments page in the platform, or the [Fetch
                    Enrollments](../fetch-enrollments) API
                dependentFirstName:
                  type: string
                  description: Dependent's first name if checking coverage for a dependent
                  optional: true
                dependentLastName:
                  type: string
                  description: Dependent's last name if checking coverage for a dependent
                  optional: true
                dependentDOB:
                  type: string
                  description: Dependent's Date of Birth, formatted as MM-DD-YYYY
                  optional: true
                serviceTypeCodes:
                  type: array
                  description: Service type codes to request coverage information for
                  items:
                    type: string
                  optional: true
              required:
                - patientFirstName
                - patientLastName
                - dateOfCoverage
                - payerId
                - providerId
            example:
              patientFirstName: John
              patientLastName: Doe
              patientDOB: 01-01-1991
              patientMemberId: U1234567
              dateOfCoverage: 03-24-2025
              payerId: HGJLR
              providerId: 0195b964-5b2c-7bb3-875a-276ad770dc66
        required: true
      responses:
        '200':
          description: COB check successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  cobCode:
                    type: string
                    description: Code indicating the type of coordination of benefits
                  requestedPlanBenefits:
                    type: array
                    description: Information about the requested plan benefits
                    items:
                      type: object
                      properties:
                        payerName:
                          type: string
                          description: Name of the payer
                        serviceTypeCodes:
                          type: array
                          description: Service type codes and their descriptions
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                                description: Service type code
                              name:
                                type: string
                                description: Description of the service type
                        benefitDate:
                          type: object
                          properties:
                            planStartDate:
                              type: string
                              description: Start date of the plan
                  additionalPlanBenefitInfo:
                    type: array
                    description: Additional information about plan benefits
                    items:
                      type: object
                      properties:
                        payerName:
                          type: string
                          description: Name of the payer
                        payerPrimacy:
                          type: string
                          description: Indicates if this is the primary or secondary payer
                        serviceTypeCodes:
                          type: array
                          description: Service type codes and their descriptions
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                                description: Service type code
                              name:
                                type: string
                                description: Description of the service type
                        benefitDate:
                          type: object
                          properties:
                            overlapBeginDate:
                              type: string
                              description: Start date of benefit overlap
                            overlapEndDate:
                              type: string
                              description: End date of benefit overlap
                            planStartDate:
                              type: string
                              description: Start date of the plan
                            planEndDate:
                              type: string
                              description: End date of the plan
                            coordinationOfBenefits:
                              type: string
                              description: Coordination of benefits date
                        subscriber:
                          type: object
                          properties:
                            firstName:
                              type: string
                              description: Subscriber's first name
                            lastName:
                              type: string
                              description: Subscriber's last name
                            dateOfBirth:
                              type: string
                              description: Subscriber's date of birth
                            memberId:
                              type: string
                              description: Subscriber's member ID
              example:
                cobCode: CobInstanceExistsPrimacyDetermined
                requestedPlanBenefits:
                  - payerName: Blue Cross
                    serviceTypeCodes:
                      - code: '30'
                        name: Health Benefit Plan Coverage
                    benefitDate:
                      planStartDate: '2024-01-01'
                additionalPlanBenefitInfo:
                  - payerName: Aetna
                    payerPrimacy: SecondaryPayer
                    serviceTypeCodes:
                      - code: '30'
                        name: Health Benefit Plan Coverage
                    benefitDate:
                      overlapBeginDate: '2024-01-01'
                      overlapEndDate: '2024-12-31'
                      planStartDate: '2024-01-01'
                      planEndDate: '2024-12-31'
                      coordinationOfBenefits: '2024-01-01'
                    subscriber:
                      firstName: John
                      lastName: Doe
                      dateOfBirth: '1990-01-01'
                      memberId: W9876543
        '400':
          description: Invalid request body or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized access or invalid organization ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error or provider/payer enrollment issue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````